X-Git-Url: https://git.sommitrealweird.co.uk/onak.git/blobdiff_plain/4d1212e60c60d000bc289e197fc0dccf98285bb1..5519cde50874ecd006e5ebf2421b1c7d48de0072:/debian/postinst

diff --git a/debian/postinst b/debian/postinst
index f821f40..9770352 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -14,8 +14,9 @@ if [ "$1" = "configure" ]; then
         zcat /usr/share/doc/onak/noodles.key | onak -b add
     fi
 
-    # Take ownership of the database directory
+    # Take ownership of the database and spool directory
     chown -R onak /var/lib/onak
+    chown -R onak /var/spool/onak
 
     # Create our logfile
     touch /var/log/onak.log
@@ -29,4 +30,20 @@ if [ "$1" = "configure" ]; then
             dpkg-statoverride --update --add onak root 4755 $i
         fi
     done
+
+    # If we don't have a DB backend defined, then add appropriate config
+    if ! grep -q db_backend /etc/onak.conf; then
+        echo "# Auto added on package update" >> /etc/onak.conf
+        echo "backends_dir /usr/lib/onak/backends" >> /etc/onak.conf
+        echo "db_backend db4" >> /etc/onak.conf
+    fi
+
+    # If we still have the old default mail_dir setting, fix it
+    if grep -q "mail_dir /community/pgp-keyserver/incoming" /etc/onak.conf; then
+        sed -i.bak "s/community\/pgp-keyserver\/incoming/var\/spool\/onak/" \
+		/etc/onak.conf
+    fi
+
 fi
+
+#DEBHELPER#